<nav class="navbar navbar-expand-lg navbar-light">
  <div class="container">
    <%= link_to root_path do%>
      <%= image_tag "icon.png", class: "navbar-brand core-sprite hide-text"%>
    <% end %>
    <a class="nav-link notification-icon hide-text" href="#">Books</a>
    <a class="nav-link explore-icon hide-text" href="#">Bundles</a>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <%= form_with url: "users/", method: :get,class: "form-inline my-2 my-lg-0 searchbar", id: "users-search" do |form| %>
        <%= form.text_field :term, class: "form-control mr-sm-2 text-center",placeholder: "search"   %>
        <div id="books-result">
        </div>
        <!--
        <form class="form-inline my-2 my-lg-0 ml-md-auto">
        <input class="form-control mr-sm-2 text-center" type="search" placeholder="Search" aria-label="Search">
      </form> -->
      <% end %>
      <div class="dropdown">
        <button class="dropbtn">&#9776</button>
        <div class="dropdown-content">
          <% if user_signed_in? %>
            <%= link_to "Create Book", new_book_path%>
            <%=current_user.email%>
            <%= link_to "Email-settings", edit_user_registration_path(current_user), class: "nav-item profile-icon hide-text"%>
            <%= link_to "logout", destroy_user_session_path, method: :delete, class: "no-text-decoration" %>
          <%else%>
            <%= link_to "sign in", new_user_session_path %>
            <%= link_to "sign up", new_user_registration_path %>
          <% end %>
          <a class="nav-item  wishlist-icon" href="#">wishlist</a>
        </div>
      </div>
    </div>
  </div>
</nav>
